For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Delete Records

DELETE
/v1/vaults/:vaultID/:objectName
DELETE
/v1/vaults/:vaultID/:objectName
$curl -X DELETE https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "skyflow_ids": [
> "51782ea4-91a5-4430-a06d-f4b76efd3d2f",
> "110ce08f-6059-4874-b1ae-7c6651d286ff"
> ]
>}'
1{
2 "RecordIDResponse": [
3 "51782ea4-91a5-4430-a06d-f4b76efd3d2f",
4 "110ce08f-6059-4874-b1ae-7c6651d286ff"
5 ]
6}
Deletes the specified records from a table.
Was this page helpful?
Previous

Get Record By ID

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.
objectNamestringRequired
Name of the table.

Request

This endpoint expects an object.
skyflow_idslist of stringsOptional

skyflow_id values of the records to delete. If * is specified, this operation deletes all records in the table.

Response

OK
RecordIDResponselist of strings

IDs for the deleted records, or * if all records were deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error